package com.caimei365.commodity.controller;

import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.reactive.function.client.WebClient;
import reactor.core.publisher.Mono;

import javax.annotation.Resource;


/**
 * Description
 *
 * @author : Charles
 * @date : 2021/02/20
 */
@Api(tags="测试WebClient")
@RequestMapping("/commodity")
@RestController
public class TestWebClientApi {

    @GetMapping("/test")
    public String getTestString() {
        return "test product";
    }

    @Resource
    private WebClient.Builder clientBuilder;
    private static final String BASE_URL = "http://caimei365-cloud-user";
    @GetMapping("/user")
    public Mono<String> getServerString() {
        return clientBuilder.baseUrl(BASE_URL).build().get().uri("/user/").retrieve().bodyToMono(String.class);
    }

}
