package com.caimei365.commodity.mapper;

import com.caimei365.commodity.model.vo.BigTypeVo;
import com.caimei365.commodity.model.vo.SmallTypeVo;
import com.caimei365.commodity.model.vo.TinyTypeVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/22
 */
@Mapper
public interface ProductTypeMapper {
    /**
     * 获取大分类
     * @param typeSort 分类类型：1产品，2仪器，0全部
     * @param source   请求来源：www,crm
     */
    List<BigTypeVo> getBigTypeList(Integer typeSort, String source);
    /**
     * 根据大分类Id获取二级分类
     * @param bigTypeId 大分类Id
     * @param source   请求来源：www,crm
     */
    List<SmallTypeVo> getSmallTypeList(Integer bigTypeId, String source);
    /**
     * 根据二级分类Id获取三级分类
     * @param smallTypeId 二级分类Id
     * @param source      请求来源：www,crm
     */
    List<TinyTypeVo> getTinyTypeList(Integer smallTypeId, String source);
    /**
     * 获取一级分类Id
     * @param typeId
     */
    Integer getBigTypeIdBySmallTypeId(Integer typeId);
    Integer getBigTypeIdByTinyTypeId(Integer typeId);
    /**
     * 获取一级分类
     * @param bigTypeId
     */
    BigTypeVo getBigTypeBId(Integer bigTypeId);
}
