package com.caimei365.commodity.mapper;

import com.caimei365.commodity.model.search.ProductListVo;
import com.caimei365.commodity.model.vo.ProductItemVo;
import com.caimei365.commodity.model.vo.ImageLinkVo;
import com.caimei365.commodity.model.vo.PromotionsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/9
 */
@Mapper
public interface PromotionsMapper {
    /**
     * 通过Id获取促销活动详情
     */
    PromotionsVo getPromotionsById(Integer promotionsId);
    /**
     * 通过商品Id获取促销信息
     */
    PromotionsVo getPromotionsByProductId(Integer productId);
    /**
     * 获取促销赠品
     */
    List<ProductItemVo> getPromotionGifts(Integer promotionsId);
    /**
     * 专题活动列表数据
     */
    List<ImageLinkVo> getPromotionsList(Integer source);
    /**
     * 获取促销活动所有凑单商品
     */
    List<ProductListVo> getProductListByPromotions(Integer promotionsId, @Param("visibilityList") List<Integer> visibilityList);

    /**
     * 查询商品是否是满赠赠品
     * @param productId
     * @return
     */
    PromotionsVo getPromotionGiftsByProductId(Integer productId);
}
