package com.caimei365.commodity.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/16
 */
@ApiModel("二手商品发布")
@Data
public class SecondDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 二手商品分类，1二手仪1器，2临期产品，3其他
     */
    @ApiModelProperty("二手商品分类，1二手仪1器，2临期产品，3其他")
    private String secondHandType;
    /**
     * 二手仪器分类的类型，1轻光电、2重光电、3耗材配件(仅适用于二手仪器分类多个用英文逗号分分隔)
     */
    @ApiModelProperty("二手仪器分类的类型，1轻光电、2重光电、3耗材配件")
    private String instrumentType;
    /**
     * 品牌Id
     */
    @ApiModelProperty("品牌Id（旧：brandID）")
    private Integer brandId;
    /**
     * 商品名称
     */
    @ApiModelProperty("商品名称")
    private String name;
    /**
     * 商品价格
     */
    @ApiModelProperty("交易价格（旧：price1）")
    private Double price;
    /**
     * 市场价
     */
    @ApiModelProperty("市场价")
    private Double normalPrice;
    /**
     * 采购价/原价(该二手原始购买价格）
     */
    @ApiModelProperty("采购价/原价")
    private Double originalPrice;
    /**
     * 是否启用详聊，1不开启，2开启(开启详聊不展示交易价)
     */
    @ApiModelProperty("是否启用详聊，1不开启，2开启")
    private String detailTalkFlag;
    /**
     * 数量（等同库存）
     */
    @ApiModelProperty("数量（等同库存）")
    private Integer stock;
    /**
     * 出厂日期格式：2020年6月
     */
    @ApiModelProperty("出厂日期")
    private String fixedYears;
    /**
     * 产品到期日格式：2020年6月（仅适用于临期产品）
     */
    @ApiModelProperty("商品名称")
    private String maturityYears;
    /**
     * 公司名称
     */
    @ApiModelProperty("公司名称")
    private String companyName;
    /**
     * 商品成色
     */
    @ApiModelProperty("商品成色")
    private String productQuality;
    /**
     * 联系人名字
     */
    @ApiModelProperty("联系人名字")
    private String contactName;
    /**
     * 联系方式
     */
    @ApiModelProperty("联系方式")
    private String contactMobile;
    /**
     * 对接人名称
     */
    @ApiModelProperty("对接人名称")
    private String dockingPeopleName;
    /**
     * 设备类型：1医美、2非医美
     */
    @ApiModelProperty("设备类型：1医美、2非医美")
    private String secondProductType;
    /**
     * 商品详情信息(补充信息)
     */
    @ApiModelProperty("商品详情信息")
    private String productDetails;
    /**
     * 商品图片信息
     */
    @ApiModelProperty("商品图片信息（旧：image1）")
    private String image;
    /**
     * 区Id
     */
    @ApiModelProperty("区Id")
    private Integer townId;
    /**
     * 详细联系地址
     */
    @ApiModelProperty("详细联系地址")
    private String address;
    /**
     * 信息来源 1网站  2CRM  3后台
     */
    @ApiModelProperty("信息来源：1网站，2CRM，3后台")
    private String source;
    /**
     * 身份验证照片
     */
    @ApiModelProperty("身份验证照片")
    private String authenticationImage;
    /**
     * 出让承诺函文件名称
     */
    @ApiModelProperty("出让承诺函文件名称")
    private String fileName;
    /**
     * 对应oss存储名
     */
    @ApiModelProperty("对应oss存储名")
    private String ossName;
    /**
     * 出让承诺函图片
     */
    @ApiModelProperty("出让承诺函图片")
    private String commitmentImage;

}
