package com.caimei365.commodity.model.search;

import lombok.Data;

import java.io.Serializable;

/**
 * 阿里云商品表（search_product）
 *
 * @author : Charles
 * @date : 2020/5/13
 */
@Data
public class ProductDO implements Serializable {
    /** 商品productID */
    private Integer p_id;
    /** 查询全部标志 */
    private Integer p_all;
    /** 名称name */
    private String p_name;
    /** 搜索关键词searchKey */
    private String p_keyword;
    /** 标签 */
    private String p_tags;
    /** 主图mainImage */
    private String p_image;
    /** 机构价(阿里云排序必须用int） */
    private Integer p_price;
    /** 是否公开机构价 0公开价格 1不公开价格 */
    private Integer p_price_flag;
    /** 计算后价格等级 */
    private Integer p_price_grade;
    /** 商品货号 */
    private String p_code;
    /** 排序值 */
    private Integer p_sort;
    /** 包装规格 */
    private String p_unit;
    /** 销量 */
    private Integer p_sales;
    /** 收藏量（人气） */
    private Integer p_favorite;
    /** 品牌Id */
    private Integer p_brand_id;
    private String p_brand_name;
    /** 所属供应商Id，关联供应商表 */
    private Integer p_supplier_id;
    private String p_supplier_name;
    /** 一级级分类 */
    private Integer p_category1_id;
    private String p_category1_name;
    /** 二级分类 */
    private Integer p_category2_id;
    private String p_category2_name;
    /** 三级分类 */
    private Integer p_category3_id;
    private String p_category3_name;
    /** 小程序商品分类Id */
    private Integer p_classify_id;
    private String p_classify_name;
    /** 常用商品001，精品推荐010，热门推荐100，三者同时存在111 */
    private Integer p_preferred;
    /** productCategory # 商品的类别：1正常商品(默认)，2二手商品' */
    private Integer p_type;
    /* 商品可见度： 3:所有人可见，2:普通机构可见，1:会员机构可见 */
    private Integer p_visibility;
    /** 商品状态，0逻辑删除 1待审核 2已上架 3已下架 8审核未通过 9已隐身 10已冻结 */
    private Integer p_valid;
    /** 星范Id(阿里云表外键) */
    private Integer m_id;
    /** 美博会商品活动状态 */
    private Integer p_act_flag;

    private static final long serialVersionUID = 1L;
}
