package com.caimei365.commodity.model.search;

import lombok.Data;

import java.io.Serializable;

/**
 * 商品列表
 *
 * @author : Charles
 * @date : 2020/5/13
 */
@Data
public class ProductListVo implements Serializable {
    /**
     * 阿里云索引Id
     */
    private Integer mainId;
    /**
     * 商品productID
     */
    private Integer productId;
    /**
     * 名称name
     */
    private String name;
    /**
     * 主图mainImage
     */
    private String image;
    /**
     * 品牌
     */
    private String brandName;
    /**
     * 包装规格
     */
    private String unit;
    /**
     * 商品货号
     */
    private String code;
    /**
     * 机构价
     */
    private Double price;
    /**
     * 是否公开机构价 0公开价格 1不公开价格
     */
    private Integer priceFlag;
    /**
     * 计算后价格等级
     */
    private Integer priceGrade;
    /**
     * 所属供应商Id，关联供应商表
     */
    private Integer shopId;
    /**
     * 搜索关键词searchKey
     */
    private String keyword;
    /**
     * 美博会商品活动状态
     */
    private Integer beautyActFlag;
    /**
     * 商品可见度： 3:所有人可见，2:普通机构可见，1:会员机构可见
     */
    private Integer visibility;
    /**
     * 活动状态：1有效，0失效
     */
    private Integer actStatus;

    private static final long serialVersionUID = 1L;

}
