package com.caimei365.commodity.model.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/9/9
 */
@ApiModel("商品资料详情")
@Data
public class ArchiveDetailVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 图片资料列表
     */
    List<ArchiveContentVo> imageArchiveList;
    /**
     * 视频资料列表
     */
    List<ArchiveContentVo> videoArchiveList;
    /**
     * 文件资料列表
     */
    List<ArchiveContentVo> fileArchiveList;
    /**
     * 查看权限:0可查看，1未登录，2需升级会员机构，3需升级医美会员机构，4需要抵扣采美豆，5无权限查看
     */
    Integer permission;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 商品属性:1产品，2仪器
     */
    private Integer productType;
}
