package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 商品价格
 *
 * @author : Charles
 * @date : 2021/4/9
 */
@Data
public class PriceVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 商品productID
     */
    private Integer productId;
    /**
     * 供应商ID
     */
    private Integer shopId;
    /**
     * 价格（计算后）
     */
    private Double price;
    /**
     * 划线价格
     */
    private Double originalPrice;
    /**
     * 最小购买量
     */
    private Integer minBuyNumber;
    /**
     * 最大购买量
     */
    private Integer maxBuyNumber;
    /**
     * 是否公开机构价 0公开价格 1不公开价格
     */
    private Integer priceFlag;
    /**
     * 是否复购 0否 1是
     */
    private Integer repurchaseFlag;
    /**
     * 阶梯价标志
     */
    private Integer ladderPriceFlag;
    /**
     * 市场价
     */
    private Double normalPrice;
    /**
     * 成本价
     */
    private Double costPrice;
    /**
     * 比例成本百分比
     */
    private Double costProportional;
    /**
     * 成本价选中标志：1固定成本 2比例成
     */
    private Integer costCheckFlag;
    /**
     * 用户身份: 2-会员机构, 4-普通机构
     */
    private Integer userIdentity;

    /**
     * 购买数量: 1逐步增长,2以起订量增长(起订量的倍数增长)
     */
    private Integer step;
    /**
     * 商品是否处于活动状态 1是 0否
     */
    private Integer actStatus;
    /**
     * 促销活动
     */
    private PromotionsVo promotions;
    /**
     * 机构税率
     */
    private BigDecimal taxRate;
    /**
     * 是否含税 0不含税，1含税，2未知
     */
    private String includedTax;

    /**
     * 发票类型(基于是否含税基础) 1增值税票，2普通票, 3不能开票
     */
    private String invoiceType;

    /**
     * 优惠券标识是否显示
     */
    private Boolean couponsLogo = false;

}

