package com.caimei365.commodity.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 促销活动
 *
 * @author : Charles
 * @date : 2021/4/9
 */
@Data
public class PromotionsVo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer id;
    /**
     * 促销名称
     */
    private String name;
    /**
     * 促销描述
     */
    private String description;
    /**
     * 分类: 1单品促销，2凑单促销，3店铺促销
     */
    private Integer type;
    /**
     * 促销方式：1优惠，2满减，3满赠
     */
    private Integer mode;
    /**
     * 优惠价/满减/满赠的设定价格（如满999赠商品）
     */
    private Double touchPrice;
    /**
     * 减免价格
     */
    private Double reducedPrice;
    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date beginTime;
    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
    /**
     * 时效：1永久，2区间过期，其它无效
     */
    private Integer status;
    /**
     * 店铺id(店铺促销时供应商ID)
     */
    private Integer shopId;
    /**
     * 商品id
     */
    private Integer productId;
    /**
     * 主订单id
     */
    private Integer orderId;
    /**
     * 该优惠下商品
     */
    private List<ProductItemVo> productList;
    /**
     * 该优惠下赠品品
     */
    private List<ProductItemVo> giftList;
}
